Subject: http-backend GIT_COMMITTER_NAME & -EMAIL documentation bug

From: [email-masked]
Date: Sat, 10 Nov 2012 17:26:19 +0200

Documentation says that envvars GIT_COMMITTER_NAME and 
GIT_COMMITTER_EMAIL formed from REMOTE_USER and REMOTE_ADDR, but doesn't 
mention that they are left alone if they have been set already.
Referring to: 
https://github.com/git/git/blob/master/Documentation/git-http-backend.txt#L178

Source code says that they are set conditionally (referring to this part 
of the source):
https://github.com/git/git/blob/master/http-backend.c#L335

And the (most recent) commit pertaining to this behavior explains the 
change:
https://github.com/git/git/commit/e32a4581bcbf1cf43cd5069a0d19df07542d612a

I'm also for the possibility of custom implementations assigning those 
envvars, so could the documentation be changed to reflect that?